import type { ManifestMenu } from '../../menu.extension.js';
import type { UmbMenuItemExpansionEntryModel } from './types.js';
import { UmbLitElement } from '../../../lit-element/index.js';
import type { UmbEntityExpansionModel } from '../../../utils/index.js';
import '../menu-item/menu-item-default.element.js';
export declare class UmbMenuElement extends UmbLitElement {
    #private;
    manifest?: ManifestMenu;
    get expansion(): UmbEntityExpansionModel<UmbMenuItemExpansionEntryModel>;
    set expansion(value: UmbEntityExpansionModel<UmbMenuItemExpansionEntryModel>);
    render(): import("lit-html").TemplateResult<1>;
}
export default UmbMenuElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-menu': UmbMenuElement;
    }
}
